# 変更履歴

このプロジェクトの注目すべき変更はすべてこのファイルに記録されます。

フォーマットは[Keep a Changelog](https://keepachangelog.com/ja/1.0.0/)に基づいており、
このプロジェクトは[セマンティック バージョニング](https://semver.org/lang/ja/)に準拠しています。

## [Unreleased]

## [0.1.2] - 2025-06-25

### 追加
- 文字数ベースのページネーション機能
- 大きなファイルの自動ページネーション（15,000文字以上で自動的に1ページ目を表示）
- 新しい環境変数 `DOCS_MAX_CHARS_PER_PAGE` (デフォルト: 10,000文字)
- 新しい環境変数 `DOCS_LARGE_FILE_THRESHOLD` (デフォルト: 15,000文字)

### 変更
- ページネーションを行数ベースから文字数ベースに変更してより一貫したレスポンスサイズを実現
- `page_size`パラメータを削除してAPIをシンプル化
- 行の途中で切れないよう改行文字を考慮したページ分割を実装
- メタデータ表示を改善（文字数と行数の両方を表示）

### 修正
- 大きなドキュメントでレスポンストークン数が制限を超える問題を解決

## [0.1.1] - 2025-06-22

### 修正
- GitHub importでmasterブランチがデフォルトのリポジトリに対応（#2）
- デフォルトブランチの自動検出機能を追加

### 変更
- READMEを再構成してより分かりやすく
- `my-project`を`my-docs`に変更して用途を明確化
- 開発フローをdev→mainに変更

### 追加
- GitHub ActionsのCIにdevブランチを追加
- Issue/PRテンプレートを追加
- CONTRIBUTINGにブランチ戦略を追加

## [0.1.0] - 2025-06-21

### 追加
- docs-mcpの初回リリース
- メタデータ対応のドキュメント一覧表示
- 正規表現を使った全文検索
- OpenAIエンベディングを使ったセマンティック検索
- ドキュメント内容の取得
- 複数のファイルタイプのサポート
- 並列ダウンロード対応のURLインポートスクリプト
- GitHubリポジトリインポートスクリプト
- フォルダとファイル拡張子の設定可能なフィルター
- Claude Desktopとの統合